Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET /rfqs

Get RFQ blocks open for trading.

GET https://api.aevo.xyz/rfqs

Authentication required. Include your AEVO-KEY and AEVO-SECRET headers. See Authentication.

Example Request

curl --request GET \
     --url https://api.aevo.xyz/rfqs \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'

Responses

200 — List of RFQ blocks.

Field
Type
Required
Description

blocks

array[object]

No

401 — Unauthorized.

Field
Type
Required
Description

error

string

Yes

Error message. Example: UNAUTHORIZED

429 — Rate limit exceeded.

Field
Type
Required
Description

error

string

Yes

Error message. Example: RATE_LIMIT_EXCEEDED

500 — Internal server error.

Field
Type
Required
Description

error

string

Yes

Error message. Example: INTERNAL_ERROR

Last updated

Was this helpful?